Subject: Uploading compress-package 1.3

From: Yves Arrouye <[email-masked]>
Date: Sun, 11 Aug 1996 22:27:05 +0200

I hope this will be a correct package now, and that I won't have any change
to do to it (well, there's always that bug...). Seriously, I tested it
with compress sources from three different packages without problems.

Yves.

-----BEGIN PGP SIGNED MESSAGE-----

Date: 11 Aug 96 20:13 UT
Format: 1.6
Distribution: unstable
Urgency: Low
Maintainer: Yves Arrouye <[email-masked]>
Source: compress-package
Version: 1.3-1
Binary:  compress-package
Architecture:  all source
Description: 
 compress-package: fileset to build Debian compress packages
Changes:
 * The package is now in the contrib section. (Fixes bug #4079.)
 * make-cpkg now supports the specification of the makefile to use
   and of the build, install and clean targets in the local
   Makefile.
 * Completed documentation for make-cpkg, including a section
   describing the targets.
 * Remove any gzip or gunzip command eventually installed by the
   package (just in case...)
 * Generate a base package xxx without any of the historic commands
   provided by gzip, and eventually generate a xxx-historic package
   with these commands. (Fixes bug #4057.)
 * If the base package xxx does provide more than the compress
   command, generate a replacement package xxx-basic with only
   the compress command.
 * Check if a compress command has been installed before building
   the package.
 * Packages containing a compress command are in section non-free,
   historic packages go in contrib.
 * Edit the compress.1 manual page to warn that only compress
   actually acts as documented, when necessary.
 * If the package name would have been 'compress', change it to
   'bsd-compress' so that an eventual 'bsd-compress-historic'
   would depend on 'bsd-compress' and not on the virtual compress
   package.
Files:
 4fba7522fd29ef6004b0d8bf21a202f7  13756  contrib  -  compress-package_1.3-1.tar.gz
 561c5b77f451346bf436fb6727a0e9f6  13576  contrib  extra  compress-package_1.3-1_all.deb